Create a new segment in a given dimension
curl --request POST \
--url https://api.pelanor.io/v2/dimensions/{dimensionId}/segments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"rules": {
"filterGroups": [
{
"operator": "OR",
"filters": [
{
"propertyId": "<string>",
"values": [
"<string>"
],
"operator": "EQUALS"
}
],
"children": "<array>",
"constraint": "USES"
}
]
},
"isCustom": true
}
'import requests
url = "https://api.pelanor.io/v2/dimensions/{dimensionId}/segments"
payload = {
"name": "<string>",
"rules": { "filterGroups": [
{
"operator": "OR",
"filters": [
{
"propertyId": "<string>",
"values": ["<string>"],
"operator": "EQUALS"
}
],
"children": "<array>",
"constraint": "USES"
}
] },
"isCustom": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
rules: {
filterGroups: [
{
operator: 'OR',
filters: [{propertyId: '<string>', values: ['<string>'], operator: 'EQUALS'}],
children: '<array>',
constraint: 'USES'
}
]
},
isCustom: true
})
};
fetch('https://api.pelanor.io/v2/dimensions/{dimensionId}/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Dimensions & Segments
Create Segment
POST
/
v2
/
dimensions
/
{dimensionId}
/
segments
Create a new segment in a given dimension
When creating a segment, you’ll define a filter condition for this segment. Use the List Attributes endpoint to get available properties and their IDs.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
A successful response.
⌘I